> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upload Status (/api-reference/media/get-upload-status)

Check the status of a media upload. Poll this endpoint until status is `completed` or `failed`. This endpoint is free and does not cost any credits.

**Possible statuses:**

* `pending` — Upload is queued
* `processing` — Download/upload in progress
* `completed` — Upload finished, `media` and `credits_used` are included
* `failed` — Upload failed, `error` is included

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/media/uploads/{upload}/status
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/media/uploads/{upload}/status:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: upload
        description: The prefixed ID of the upload.
        example: ofapi_media_01JR1234
        required: true
        schema:
          type: string
    get:
      summary: Get Upload Status
      operationId: getUploadStatus
      description: >-
        Check the status of a media upload. Poll this endpoint until status is
        `completed` or `failed`. This endpoint is free and does not cost any
        credits.


        **Possible statuses:**

        - `pending` — Upload is queued

        - `processing` — Download/upload in progress

        - `completed` — Upload finished, `media` and `credits_used` are included

        - `failed` — Upload failed, `error` is included
      parameters: []
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                oneOf:
                  - description: Upload still processing
                    type: object
                    example:
                      status: processing
                      prefixed_id: ofapi_media_01JR1234
                    properties:
                      status:
                        type: string
                        example: processing
                      prefixed_id:
                        type: string
                        example: ofapi_media_01JR1234
                  - description: Upload failed
                    type: object
                    example:
                      status: failed
                      prefixed_id: ofapi_media_01JR1234
                      error: Failed to download file from the provided URL.
                    properties:
                      status:
                        type: string
                        example: failed
                      prefixed_id:
                        type: string
                        example: ofapi_media_01JR1234
                      error:
                        type: string
                        example: Failed to download file from the provided URL.
                  - description: Completed POST /media/vault upload
                    type: object
                    example:
                      status: completed
                      prefixed_id: ofapi_media_abc123def456abc123def456abc123de
                      media:
                        id: 1234567890
                        type: photo
                        convertedToVideo: false
                        canView: true
                        hasError: false
                        createdAt: 2026-04-03T16:18:05+00:00
                        isReady: false
                        files:
                          full:
                            url: null
                            width: 0
                            height: 0
                            size: 0
                            sources: []
                          thumb: null
                          preview: null
                          squarePreview: null
                        duration: 0
                        releaseForms: []
                        hasCustomPreview: false
                      credits_used: 3
                    properties:
                      status:
                        type: string
                        example: completed
                      prefixed_id:
                        type: string
                        example: ofapi_media_abc123def456abc123def456abc123de
                      media:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 1234567890
                          type:
                            type: string
                            example: photo
                          convertedToVideo:
                            type: boolean
                            example: false
                          canView:
                            type: boolean
                            example: true
                          hasError:
                            type: boolean
                            example: false
                          createdAt:
                            type: string
                            example: 2026-04-03T16:18:05+00:00
                          isReady:
                            type: boolean
                            example: false
                          files:
                            type: object
                            properties:
                              full:
                                type: object
                                properties:
                                  url:
                                    type: string
                                    example: null
                                    nullable: true
                                  width:
                                    type: integer
                                    example: 0
                                  height:
                                    type: integer
                                    example: 0
                                  size:
                                    type: integer
                                    example: 0
                                  sources:
                                    type: array
                                    example: []
                              thumb:
                                type: string
                                example: null
                                nullable: true
                              preview:
                                type: string
                                example: null
                                nullable: true
                              squarePreview:
                                type: string
                                example: null
                                nullable: true
                          duration:
                            type: integer
                            example: 0
                          releaseForms:
                            type: array
                            example: []
                          hasCustomPreview:
                            type: boolean
                            example: false
                      credits_used:
                        type: integer
                        example: 3
                  - description: Completed POST /media/upload upload
                    type: object
                    example:
                      status: completed
                      prefixed_id: ofapi_media_abc123def456abc123def456abc123de
                      media:
                        prefixed_id: ofapi_media_def456abc123def456abc123def456ab
                        file_name: photo.jpg
                        processId: abc123def456abc123de
                        host: convert3.onlyfans.com
                        sourceUrl: https://of2transcoder.s3.amazonaws.com/upload/00000000-0000-0000-0000-000000000000/000000000000/photo.jpg
                        extra: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx...
                        additional:
                          user: "123456789"
                        thumbs:
                          - id: 1
                            url: https://cdn2.onlyfans.com/files/0/00/00000000000000000000000000000000/300x544_00000000000000000000000000000000.jpg
                      credits_used: 3
                    properties:
                      status:
                        type: string
                        example: completed
                      prefixed_id:
                        type: string
                        example: ofapi_media_abc123def456abc123def456abc123de
                      media:
                        type: object
                        properties:
                          prefixed_id:
                            type: string
                            example: ofapi_media_def456abc123def456abc123def456ab
                          file_name:
                            type: string
                            example: photo.jpg
                          processId:
                            type: string
                            example: abc123def456abc123de
                          host:
                            type: string
                            example: convert3.onlyfans.com
                          sourceUrl:
                            type: string
                            example: https://of2transcoder.s3.amazonaws.com/upload/00000000-0000-0000-0000-000000000000/000000000000/photo.jpg
                          extra:
                            type: string
                            example: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx...
                          additional:
                            type: object
                            properties:
                              user:
                                type: string
                                example: "123456789"
                          thumbs:
                            type: array
                            example:
                              - id: 1
                                url: https://cdn2.onlyfans.com/files/0/00/00000000000000000000000000000000/300x544_00000000000000000000000000000000.jpg
                            items:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 1
                                url:
                                  type: string
                                  example: https://cdn2.onlyfans.com/files/0/00/00000000000000000000000000000000/300x544_00000000000000000000000000000000.jpg
                      credits_used:
                        type: integer
                        example: 3
      tags:
        - Media
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````